Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search.suggest.fst
Class Sort.SortInfo

    java.lang.Object
      org.apache.lucene.search.suggest.fst.Sort.SortInfo

Enclosing class:
  Sort

    public class Sort.SortInfo

extends Object

Sort info (debugging mostly).

Field Summary
`long` | `bufferSize`
`int` | `lines`
`int` | `mergeRounds`
`long` | `mergeTime`
`long` | `readTime`
`long` | `sortTime`
`int` | `tempMergeFiles`
`long` | `totalTime`

Constructor Summary
`Sort.SortInfo()`

Method Summary
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### tempMergeFiles

    public int tempMergeFiles

### mergeRounds

    public int mergeRounds

### lines

    public int lines

### mergeTime

    public long mergeTime

### sortTime

    public long sortTime

### totalTime

    public long totalTime

### readTime

    public long readTime

### bufferSize

    public final long bufferSize

Constructor Detail

### Sort.SortInfo

    public Sort.SortInfo()

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD